Thanks for contributing! Below are three possible templates that you can use, each separated by a line divider. It is highly recommended that you use these templates if your issue falls into one of the categories.

--------------------------------------------------------------------------------

> Use this template for bug reports. The more information you give about your issue, the faster it will get resolved!

# The Bug (give your bug a short name)

Describe the bug that you encountered in a paragraph. Include its significance and its current effects on Quark applications.

## Steps to reproduce

List the steps and/or code you used to reproduce the bug. If you cannot reproduce it, provide as much information as possible about how it occurred, what your environment is, etc.

## Possible solutions

This section is optional, but if you have any ideas for how to the bug, please do share them!

--------------------------------------------------------------------------------

> Use this template for simple enhancements that do not need a fully-fledged proposal.

# A simple enhancement (give your idea a descriptive name)

Author: [Your Name](https://github.com/Username)

## Description

Describe what your idea is. Include a few code snippets if that would be helpful.

## Why

Explain why your idea is better than what we have now. If we don't have anything like it right now, explain why it is a good idea to have it.

--------------------------------------------------------------------------------

> Use this template for enhancements that require significant consideration, design, or have a non-trivial implementation. Giving us a lot of information here will go a long way. If we accept the proposal, we will mark the issue with the label 'accepted' and assign it a milestone. If you want to work on it, assign yourself to the issue.

# A large feature

Author(s): [Your Name](https://github.com/Username)

## Introduction

A short description of what the feature is. Try to keep it to a single-paragraph "elevator pitch" so the reader understands what problem this proposal is addressing.

Discussed this in our [slack](http://slack.zewo.io)? Include an archive link to the conversation.

## Motivation

Describe the problems that this proposal seeks to address. If it brings in entirely new functionality, motivate why it is a good fit for the Quark ecosystem and how it betters the developer experience.

## Proposed solution

Describe your solution to the problem. Provide examples and describe how they work. Show how your solution is better than current workarounds: is it cleaner, safer, or more efficient? Include before/after code snippets if it helps.

## Detailed design

Describe the design of the solution. The detail in this section should be sufficient for someone who is _not_ one of the authors to be able to reasonably implement the feature. The more information you give here, the faster it will be implemented!

## Breaking changes

List any breaking changes that this will cause.

## Alternatives considered

Describe alternative approaches to addressing the same problem, and why you chose this approach instead.
